Page MenuHomePhabricator

Log some actually useful information for errors
Closed, ResolvedPublic

Description

We should log some actually useful information for errors. Here's an example of what we had logged for T130238:

uuidclientIptimestampuserAgentwebHostwikievent_codeevent_flowIdevent_flowPositionevent_messageevent_step
(snip)NULL20160316220809(snip)commons.wikimedia.orgcommonswikiapi-error-unknown-warning14581659334334838Unbekannte Warnung: emptyfile, stashfaileddetails

Would be nice to have the actual problematic response from the API, rather than a copy of the error we've shown the user (possibly translated, too…).

Event Timeline

matmarex created this task.Mar 20 2016, 7:41 AM
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 20 2016, 7:41 AM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
matmarex triaged this task as High priority.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptApr 15 2016, 11:29 PM

Change 284832 had a related patch set uploaded (by Bartosz Dziewoński):
Log all failing API responses when uploading

https://gerrit.wikimedia.org/r/284832

Change 284832 merged by jenkins-bot:
Log all failing API responses when uploading

https://gerrit.wikimedia.org/r/284832

matmarex closed this task as Resolved.Apr 25 2016, 11:46 PM
matmarex removed a project: Patch-For-Review.